import type { FieldValueType, TableInfoType } from 'live-data-type';
import type { ProjectDslsType, ProjectDslsWithHashType, ProjectSingleDslType } from './project.dsl.type';
export declare type GetProjectDslWithChildrenByDslId = {
    '/project/dsl/children': {
        params: {
            dslId: string;
        };
        method: 'get';
        ignoreToken: false;
        data: ProjectDslsType;
    };
};
export declare type GetProjectComponentWithChildrenByDslId = {
    '/project/dsl/component/children': {
        params: {
            dslId: string;
            childrenType: 'all' | 'cs' | 'trigger' | 'animation';
        };
        method: 'get';
        ignoreToken: false;
        data: ProjectDslsType;
    };
};
export declare type DeleteProjectDslWithChildrenByDslId = {
    '/project/dsl/children': {
        params: {
            projectId: string;
            dslId: string;
        };
        method: 'delete';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type BulkDeleteProjectDslsWithChildren = {
    '/project/dsls/children': {
        params: {
            projectId: string;
            dslIds: string[];
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type InsertProjectDsls = {
    '/project/dsls': {
        params: {
            projectId: string;
            dsls: ProjectDslsType;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type UpdateProjectDsls = {
    '/project/dsls': {
        params: {
            projectId: string;
            dsls: ProjectDslsType;
        };
        method: 'put';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type InsertProjectDslsWithTableInfo = {
    '/project/dsls_tables': {
        params: {
            projectId: string;
            dsls: ProjectDslsType;
            tables: {
                table: TableInfoType;
                preview?: {
                    [fieldHashName: string]: FieldValueType;
                }[];
            }[];
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type GetProjectDsls = {
    '/project/dsls': {
        params: {
            projectId: string;
        };
        method: 'get';
        ignoreToken: false;
        data: ProjectDslsWithHashType;
    };
};
export declare type InsertProjectDsl = {
    '/project/dsl': {
        params: {
            projectId: string;
            dsl: ProjectSingleDslType;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type UpdateProjectDsl = {
    '/project/dsl': {
        params: {
            projectId: string;
            dsl: ProjectSingleDslType;
        };
        method: 'put';
        ignoreToken: false;
        data: undefined;
    };
};
