/**
 * @author songxiwen
 * @date 2021/01/29 16:14
 */
export declare enum Language {
    ZH = "zh-CN",
    EN = "en"
}
export declare type ErrorObjectResponseType = {
    [key: number]: {
        message: string;
        needToReport: boolean;
    };
};
export declare type ErrorReportRequestType = {
    apiPath: string;
    errorCode: number;
};
export declare type ErrorReportResponseType = {
    id: string;
    createdAt: Date;
} & ErrorReportRequestType;
export declare type GetErrorObject = {
    '/error/getErrorObject': {
        params: undefined;
        method: 'get';
        ignoreToken: true;
        data: ErrorObjectResponseType;
    };
};
export declare type CreateErrorReport = {
    '/error/report': {
        params: ErrorReportRequestType;
        method: 'post';
        ignoreToken: true;
        data: ErrorReportResponseType;
    };
};
