/**
 * @author songxiwen
 * @date 2021/06/04 17:00
 */
import { FieldValueType, TableInfoType } from 'live-data-type';
import type { DslAnimationType, DslEventType, DslTriggerType } from '@towify-types/dsl';
export declare type DslKitResponseType = {
    id: string;
    name: string;
    type: 'page' | 'component';
    categories: DslKitCategoryResponseType[];
    items: DslKitItemResponseType[];
    weight: number;
    updatedAt: Date;
    createdAt: Date;
    isHtmlPreview: boolean;
};
export declare type DslKitItemResponseType = DslKitItemUpdatingType & {
    createdAt: Date;
    updatedAt: Date;
};
export declare type DslKitItemUpdatingType = {
    id: string;
} & DslKitItemCreatingType;
export declare type DslKitItemCreatingType = {
    name: string;
    categoryId: string;
    dslKitId: string;
    preview: {
        icon: string;
        cover?: {
            pixel2: string;
            pixel3: string;
            pixel4: string;
        };
        html?: string;
    };
    dsl: string;
    extra: {
        tables?: {
            virtualId: string;
            json: TableInfoType;
            preview: {
                [fieldHashName: string]: FieldValueType;
            }[];
        }[];
        events?: {
            virtualId: string;
            json: DslEventType;
            referenceComponentInfo?: {
                [keyPath: string]: number[] | {
                    indexPath: number[];
                    value: {
                        [specific: string]: number[];
                    };
                };
            };
        }[];
        triggers?: {
            virtualId: string;
            json: DslTriggerType;
            referenceComponentInfo?: {
                [keyPath: string]: number[] | {
                    indexPath: number[];
                    value: {
                        [specific: string]: number[];
                    };
                };
            };
        }[];
        animations?: {
            virtualId: string;
            json: DslAnimationType;
            referenceComponentInfo?: {
                [keyPath: string]: number[] | {
                    indexPath: number[];
                    value: {
                        [specific: string]: number[];
                    };
                };
            };
        }[];
    };
    weight: number;
    level: 'basic' | 'system' | 'complex';
};
export declare type DslKitCategoryResponseType = {
    id: string;
    name: string;
    weight: number;
    createdAt: Date;
    updatedAt: Date;
};
