export declare type CreateWeChatPreviewRequest = {
    '/miniProgram/wechat/createPreviewRequest': {
        params: {
            projectId: string;
            projectTarUrl: string;
            name?: string;
        };
        method: 'post';
        ignoreToken: false;
        data: {
            qrCodeId: string;
            authorizeUrl?: string;
            reusedMiniProgramProjectId?: string;
        };
    };
};
export declare type GetWeChatPreviewQrCode = {
    '/miniProgram/wechat/getPreviewQrCode': {
        params: {
            qrCodeId: string;
        };
        method: 'post';
        ignoreToken: false;
        data: {
            status: boolean;
            qrCode?: string;
        };
    };
};
export declare type GetAuthorizationStatus = {
    '/miniProgram/wechat/getAuthorizationStatus': {
        params: {
            projectId: string;
        };
        method: 'post';
        ignoreToken: false;
        data: {
            authorized: boolean;
        };
    };
};
export declare type AddTester = {
    '/miniProgram/wechat/bindTester': {
        params: {
            projectId: string;
            wechatId: string;
            description?: string;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type GetTesterList = {
    '/miniProgram/wechat/testers': {
        params: {
            projectId: string;
        };
        method: 'post';
        ignoreToken: false;
        data: {
            id: string;
            wechatId: string;
            description?: string;
            createdAt: string;
        };
    };
};
export declare type RemoveTester = {
    '/miniProgram/wechat/removeTester': {
        params: {
            id: string;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
