export declare type ReCharge = {
    '/payment/reCharge': {
        params: {
            channel: string;
            balance: number;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type MerchandiseType = {
    id: string;
    name: string;
    amount: {
        total: number;
    };
    quantity: number;
    category: string;
    merchantId: string;
};
export declare type OrderResponseType = {
    orderNo: string;
    originOrderNo: string;
    payeeId: string;
    payerId?: string;
    orderType: string;
    orderStatus: 'PAYING' | 'PAYED' | 'REFUNDING' | 'REFUNDED' | 'CANCEL';
    channelType?: ChannelType;
    tradeType?: TradeType;
    amount: number;
    currency?: string;
    merchandise?: MerchandiseType;
    createdAt: Date;
    updatedAt: Date;
};
export declare type ChannelType = 'weChat' | 'aliPay' | 'baoFu';
export declare type TradeType = 'NATIVE' | 'H5' | 'JSAPI' | 'APP' | 'WEB';
export declare type CreateOrder = {
    '/payment/order': {
        params: {
            merchandiseId: string;
        };
        method: 'post';
        ignoreToken: false;
        data: {
            type: string;
            value: string;
            orderNo: string;
        };
    };
};
export declare type GetOrderByOrderNo = {
    '/payment/order': {
        params: {
            orderNo: string;
        };
        method: 'get';
        ignoreToken: false;
        data: OrderResponseType;
    };
};
export declare type GetOrders = {
    '/payment/order/list': {
        params: {
            lastUpdatedAt: Date;
            pageSize: number;
        };
        method: 'get';
        ignoreToken: false;
        data: OrderResponseType[];
    };
};
export declare type CancelOrder = {
    '/payment/refund/order': {
        params: {
            orderNo: string;
        };
        method: 'post';
        ignoreToken: false;
        data: {
            message: string;
        };
    };
};
