import type { ConfigType, ProjectCreateOrUpdateModelType, ProjectModelType, ThemeType } from '@towify-types/project';
export declare type InitialCreateProject = {
    '/project/initialCreateProject': {
        params: {
            project: {
                [key: string]: any;
            };
            pages: {
                [key: string]: any;
            }[];
            components: {
                [key: string]: any;
            }[];
            sharedStyles: {
                [key: string]: any;
            }[];
            triggers: {
                [key: string]: any;
            }[];
            animations: {
                [key: string]: any;
            }[];
            events: {
                [key: string]: any;
            }[];
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type CreateOrUpdateProject = {
    '/project/createOrUpdateProject': {
        params: ProjectCreateOrUpdateModelType;
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type UpdatePartialProject = {
    '/project/updatePartial': {
        params: {
            id: string;
            content: {
                [key in 'name' | 'initialPageId' | 'theme' | 'config']?: string | ThemeType | ConfigType;
            };
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type DeleteProject = {
    '/project/deleteProject': {
        params: {
            projectId: string;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type GetProject = {
    '/project/getProject': {
        params: {
            projectId: string;
        };
        method: 'get';
        ignoreToken: false;
        data: ProjectModelType;
    };
};
export declare type GetProjects = {
    '/project/getProjects': {
        params: {
            pageIndex: number;
            pageSize: number;
        };
        method: 'get';
        ignoreToken: false;
        data: {
            projectListHash: string;
            total: number;
            list: ProjectModelType[];
        };
    };
};
