/**
 * @author songxiwen
 * @date 2021/01/27 16:55
 */
import type { ResourceListFilterRequestType, ResourceListResponseType, ResourceResponseType } from 'towify-resource-type';
export declare enum ResourceEnum {
    Font = "font",
    Image = "image",
    Video = "video",
    Audio = "audio",
    Icon = "icon",
    Text = "text",
    GZIP = "gzip"
}
export declare type GetResourceList = {
    '/resource/getList': {
        params: ResourceListFilterRequestType;
        method: 'post';
        ignoreToken: false;
        data: ResourceListResponseType;
    };
};
export declare type UpdateResource = {
    '/resource/update': {
        params: {
            key: string;
            name?: string;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type RemoveResource = {
    '/resource/remove': {
        params: {
            key: string;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type RemoveDisabledResourcePermanently = {
    '/resource/disabled/remove/permanently': {
        params: {
            key?: string[];
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type PutBackDisabledResource = {
    '/resource/disabled/putBack': {
        params: {
            key?: string[];
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type GetResourceStatistic = {
    '/resource/statistic': {
        params: undefined;
        method: 'post';
        ignoreToken: false;
        data: {
            total: number;
            used: number;
        };
    };
};
export declare type GetRecentUsedResource = {
    '/resource/recentUsed': {
        params: undefined;
        method: 'post';
        ignoreToken: false;
        data: ResourceResponseType[];
    };
};
export declare type UploadResourceToCosByUrl = {
    '/resource/cos/uploadByUrl': {
        params: {
            url: string;
            type: 'image' | 'video';
            height: number;
            width: number;
            targetHeight: number;
            targetWidth: number;
        };
        method: 'post';
        ignoreToken: false;
        data: {
            originUrl: string;
            targetUrl: string;
            targetHeight: number;
            targetWidth: number;
        };
    };
};
