/**
 *  @Author KaySaith
 *  @Date 1/20/21
 */
import { CheckAuth, GetSMSCode, GetUserInfo, LoginByEmail, LoginByPassword, LoginBySMSCode, RegisterByEmail, SendEmailCode, SignUpOrLoginWithMobilePhone, UpdateEditorConfig, UpdatePassword, UpdatePasswordBySMSCode, UpdatePhoneNumberBySMSCode, UpdateProfile, VerifyEmail, VerifyPhone } from './user/user.info.list';
import { BindingPolling, GetBindingQRCode, GetQRCode, StatePolling } from './user/wechat.info.list';
import { CreateOrUpdateProject, DeleteProject, GetProject, GetProjects, InitialCreateProject, UpdatePartialProject } from './project/project.info.list';
import { GetApiMd5s, GetConfigs } from './global/global.info.list';
import { CreateDslKitCategory, CreateDslKitItem, CreateDslKitModule, GetDslKitCategories, GetDslKits, GetKitDetail, GetKitList, GetMediaKitCategory, GetPurchasedFontList, GetSystemFontList, GetUploadedFontList, RemoveDslKit, RemoveDslKitCategory, RemoveDslKitItem, UpdateDslKitCategory, UpdateDslKitItem, UpdateDslKitModule } from './kit/kit.info.list';
import { GetRecentUsedResource, GetResourceList, GetResourceStatistic, PutBackDisabledResource, RemoveDisabledResourcePermanently, RemoveResource, UpdateResource, UploadResourceToCosByUrl } from './resource/resource.info.list';
import { CreateResourceFolder, DeleteResourceFolder, GetResourceFolderList, UpdateResourceFolder } from './resource/folder.info.list';
import { GetFontCategoryList } from './resource/resource.font.info.list';
import { CreateErrorReport, GetErrorObject } from './error/error.info.list';
import { AddCustomSimulatorInfo, GetSimulatorInfoList, RemoveCustomSimulatorInfo } from './simulator/simulator.info.list';
import { GetLocationsByGPS, SearchLocationByWord } from './thirdparty/thirdparty.info.list';
import { EnterpriseCreate, EnterpriseRegister } from './user/enterprise.info.list';
import { BulkDeleteProjectDslsWithChildren, DeleteProjectDslWithChildrenByDslId, GetProjectComponentWithChildrenByDslId, GetProjectDslWithChildrenByDslId, GetProjectDsls, InsertProjectDsl, InsertProjectDsls, InsertProjectDslsWithTableInfo, UpdateProjectDsl, UpdateProjectDsls } from './dsl/project.dsl';
import { CancelOrder, CreateOrder, GetOrderByOrderNo, GetOrders, ReCharge } from './payment/payment.info.list';
import { AuthStatePolling, GetAppleAuthUrl } from './user/apple.info.list';
import { CallSpecificMethod, CreateAccessInfo, CreateTableItem, DeleteAccessInfo, DeleteTable, DeleteTableItem, FindTableItems, GetAccessInfo, GetSpecificMethods, GetTables, ListAccessInfo, SaveTable, SendSmsCode, UpdateTableItem } from './livetable/live.table.info.list';
import { AddTester, CreateWeChatPreviewRequest, GetAuthorizationStatus, GetTesterList, GetWeChatPreviewQrCode, RemoveTester } from './miniprogram/mini.program.info.list';
export * from './error/error.info.list';
export { ResourceEnum } from './resource/resource.info.list';
export { ApiMd5sResponseType } from './global/global.info.list';
export { OrderResponseType } from './payment/payment.info.list';
export { KitType, KitPageSizeType, LocalizationContents } from './kit/kit.info.list';
export * from './miniprogram/mini.program.info.list';
export * from './dsl/project.dsl.type';
export * from './kit/kit.type';
export declare namespace SCF {
    type UserLoginByPassword = LoginByPassword;
    type UserLoginBySMSCode = LoginBySMSCode;
    type UserLoginByEmail = LoginByEmail;
    type UserUpdatePassword = UpdatePassword;
    type UserSendEmailCode = SendEmailCode;
    type UserGetSMSCode = GetSMSCode;
    type UserSignUpOrLoginWithMobilePhone = SignUpOrLoginWithMobilePhone;
    type UserRegisterByEmail = RegisterByEmail;
    type UserUpdateProfile = UpdateProfile;
    type UserGetUserInfo = GetUserInfo;
    type UserUpdateEditorConfig = UpdateEditorConfig;
    type UserUpdatePasswordBySMSCode = UpdatePasswordBySMSCode;
    type UserUpdatePhoneNumberBySMSCode = UpdatePhoneNumberBySMSCode;
    type UserCheckAuth = CheckAuth;
    type UserEnterpriseRegister = EnterpriseRegister;
    type UserEnterpriseCreate = EnterpriseCreate;
    type UserVerifyEmail = VerifyEmail;
    type UserVerifyPhone = VerifyPhone;
    type WeChatGetQRCode = GetQRCode;
    type WeChatStatePolling = StatePolling;
    type WeChatBindingGetQRCode = GetBindingQRCode;
    type WeChatBindingPolling = BindingPolling;
    type AppleStatePolling = AuthStatePolling;
    type AppleGetAuthUrl = GetAppleAuthUrl;
    type ProjectCreateOrUpdateProject = CreateOrUpdateProject;
    type ProjectDeleteProject = DeleteProject;
    type ProjectGetProject = GetProject;
    type ProjectGetProjects = GetProjects;
    type ProjectInitialCreateProject = InitialCreateProject;
    type ProjectUpdatePartialProject = UpdatePartialProject;
    type PaymentReCharge = ReCharge;
    type GlobalGetApiMd5s = GetApiMd5s;
    type GlobalGetConfigs = GetConfigs;
    type KitGetList = GetKitList;
    type KitGetPurchasedFontList = GetPurchasedFontList;
    type KitGetUploadedFontList = GetUploadedFontList;
    type KitGetDetail = GetKitDetail;
    type KitGetSystemFontList = GetSystemFontList;
    type KitGetMediaKitCategory = GetMediaKitCategory;
    type DslKitGetKits = GetDslKits;
    type DslKitCreateCategory = CreateDslKitCategory;
    type DslKitCreateKitItem = CreateDslKitItem;
    type DslKitCreateKit = CreateDslKitModule;
    type DslKitUpdateKit = UpdateDslKitModule;
    type DslKitRemoveKit = RemoveDslKit;
    type DslKitGetCategories = GetDslKitCategories;
    type DslKitUpdateCategory = UpdateDslKitCategory;
    type DslKitRemoveCategory = RemoveDslKitCategory;
    type DslKitRemoveItem = RemoveDslKitItem;
    type DslKitUpdateItem = UpdateDslKitItem;
    type FileUploadResourceToCosByUrl = UploadResourceToCosByUrl;
    type FileGetList = GetResourceList;
    type FilePutBackDisabledResource = PutBackDisabledResource;
    type FileRemoveDisabledResourcePermanently = RemoveDisabledResourcePermanently;
    type FileRemoveResource = RemoveResource;
    type FileUpdateResource = UpdateResource;
    type FileGetRecentUsedResource = GetRecentUsedResource;
    type FileGetResourceStatistic = GetResourceStatistic;
    type FileFolderCreate = CreateResourceFolder;
    type FileFolderUpdate = UpdateResourceFolder;
    type FileFolderDelete = DeleteResourceFolder;
    type FileFolderGetList = GetResourceFolderList;
    type FileFontCategoryList = GetFontCategoryList;
    type ErrorGetObject = GetErrorObject;
    type ErrorReportCreate = CreateErrorReport;
    type SimulatorAddCustomInfo = AddCustomSimulatorInfo;
    type SimulatorGetInfoList = GetSimulatorInfoList;
    type SimulatorRemoveCustomInfo = RemoveCustomSimulatorInfo;
    type ThirdPartyGetLocationsByGPS = GetLocationsByGPS;
    type ThirdPartySearchLocationByWord = SearchLocationByWord;
    type ProjectDslChildrenGet = GetProjectDslWithChildrenByDslId;
    type ProjectDslBulkDelete = BulkDeleteProjectDslsWithChildren;
    type ProjectDslChildrenDelete = DeleteProjectDslWithChildrenByDslId;
    type ProjectComponentChildrenGet = GetProjectComponentWithChildrenByDslId;
    type ProjectDslsInsert = InsertProjectDsls;
    type ProjectDslsUpdate = UpdateProjectDsls;
    type ProjectDslsGet = GetProjectDsls;
    type ProjectDslUpdate = UpdateProjectDsl;
    type ProjectDslInsert = InsertProjectDsl;
    type ProjectDslsWithTableInsert = InsertProjectDslsWithTableInfo;
    type LiveTableGetAccessInfo = GetAccessInfo;
    type LiveTableCreateAccessInfo = CreateAccessInfo;
    type LiveTableDeleteAccessInfo = DeleteAccessInfo;
    type LiveTableGetAccessInfoList = ListAccessInfo;
    type LiveTableGetList = GetTables;
    type LiveTableSave = SaveTable;
    type LiveTableDelete = DeleteTable;
    type LiveTableCreateItem = CreateTableItem;
    type LiveTableDeleteItem = DeleteTableItem;
    type LiveTableUpdateItem = UpdateTableItem;
    type LiveTableFindTableItems = FindTableItems;
    type LiveTableSendSmsCode = SendSmsCode;
    type LiveTableCallSpecificMethod = CallSpecificMethod;
    type LiveTableGetSpecificMethods = GetSpecificMethods;
    type MiniProgramCreateWeChatPreviewRequest = CreateWeChatPreviewRequest;
    type MiniProgramGetWeChatPreviewQrCode = GetWeChatPreviewQrCode;
    type MiniProgramWeChatAddTester = AddTester;
    type MiniProgramWeChatGetTesterList = GetTesterList;
    type MiniProgramWeChatRemoveTester = RemoveTester;
    type MiniProgramWeChatGetAuthorizationStatus = GetAuthorizationStatus;
    type PaymentCreateOrder = CreateOrder;
    type PaymentGetOrderByOrderNo = GetOrderByOrderNo;
    type PaymentGetOrders = GetOrders;
    type PaymentCancelOrder = CancelOrder;
}
