/**
 * @author songxiwen
 * @date 2021/01/29 16:14
 */
export declare enum SimulatorType {
    IPhone = "iphone",
    Android = "android",
    Ipad = "ipad",
    Web = "web"
}
export declare type CustomSimulatorRequestType = Omit<CustomSimulatorResponseType, 'id'>;
export declare type CustomSimulatorResponseType = {
    id: string;
    name: string;
    width: number;
    height: number;
    type: SimulatorType;
    icon: string;
    clientId: string;
};
export declare type AddCustomSimulatorInfo = {
    '/simulator/addCustomInfo': {
        params: CustomSimulatorRequestType;
        method: 'post';
        ignoreToken: false;
        data: CustomSimulatorResponseType;
    };
};
export declare type RemoveCustomSimulatorInfo = {
    '/simulator/removeCustomInfo': {
        params: {
            id: string;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type GetSimulatorInfoList = {
    '/simulator/getInfoList': {
        params: {};
        method: 'get';
        ignoreToken: false;
        data: CustomSimulatorResponseType[];
    };
};
