import type { UserAuthedType } from '@towify-types/user';
export declare type LoginByPassword = {
    '/user/loginByPassword': {
        params: {
            phone: string;
            password: string;
        };
        method: 'post';
        ignoreToken: true;
        data: UserAuthedType;
    };
};
export declare type UpdateProfile = {
    '/user/update': {
        params: {
            name?: string;
            age?: number;
            avatar?: string;
            isForbidden?: boolean;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type LoginBySMSCode = {
    '/user/loginBySMSCode': {
        params: {
            code: string;
            phone: string;
        };
        method: 'post';
        ignoreToken: true;
        data: UserAuthedType;
    };
};
export declare type UpdatePassword = {
    '/user/updatePassword': {
        params: {
            password: string;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type SendEmailCode = {
    '/user/sendEmailCode': {
        params: {
            email: string;
        };
        method: 'post';
        ignoreToken: true;
        data: undefined;
    };
};
export declare type RegisterByEmail = {
    '/user/registerByEmail': {
        params: {
            email: string;
            code: string;
            password?: string;
        };
        method: 'post';
        ignoreToken: true;
        data: UserAuthedType;
    };
};
export declare type LoginByEmail = {
    '/user/loginByEmail': {
        params: {
            email: string;
            password: string;
        };
        method: 'post';
        ignoreToken: true;
        data: UserAuthedType;
    };
};
export declare type SignUpOrLoginWithMobilePhone = {
    '/user/register': {
        params: {
            phone: string;
            password?: string;
            code: string;
        };
        method: 'post';
        ignoreToken: true;
        data: UserAuthedType;
    };
};
export declare type GetSMSCode = {
    '/user/getSMSCode': {
        params: {
            phone: string;
        };
        method: 'post';
        ignoreToken: true;
        data: undefined;
    };
};
export declare type GetUserInfo = {
    '/user/profile': {
        params: {};
        method: 'get';
        ignoreToken: false;
        data: UserAuthedType;
    };
};
export declare type UpdateEditorConfig = {
    '/user/updateEditorConfig': {
        params: {
            language?: string;
            shortcuts?: object;
        };
        method: 'post';
        needToken: true;
        data: undefined;
    };
};
export declare type CheckAuth = {
    '/user/checkAuth': {
        params: {
            token: string;
        };
        method: 'post';
        needToken: false;
        data: {
            authed: boolean;
            userId?: string;
        };
    };
};
export declare type UpdatePhoneNumberBySMSCode = {
    '/user/updatePhoneNumberBySMSCode': {
        params: {
            phone: string;
            code: string;
        };
        method: 'post';
        needToken: true;
        data: undefined;
    };
};
export declare type UpdatePasswordBySMSCode = {
    '/user/updatePasswordBySMSCode': {
        params: {
            code: string;
            password: string;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type VerifyPhone = {
    '/user/verifyPhone': {
        params: {
            phone: string;
        };
        method: 'post';
        ignoreToken: true;
        data: undefined;
    };
};
export declare type VerifyEmail = {
    '/user/verifyEmail': {
        params: {
            email: string;
        };
        method: 'post';
        ignoreToken: true;
        data: undefined;
    };
};
